# By : Luca.py

[theme_info]
name=Kripton
description=A dark theme with raspberry colors.
# incremented automatically, do not change manually
version=2
author=Luca
url=https://gitlab.com/luca.py
# list of each compatible Geany release version
compat=1.22;1.23;1.23.1;1.24

[named_colors]
base0=#d7d7d7
base1=#171A1F
base2=#273038
base3=#808080
base4=#171A1F
berry=#E42E54
cyan=#3191A9
bluegrey=#747e9e
orange=#DA6746
lime=#b7ce42
grey=#777
red=#f00
redbg=#751212
green=#859900
blue=#268bd2

[named_styles]
default=base0;base1
error=red


# Editor styles
#-------------------------------------------------------------------------------
selection=;#083840;;true
current_line=;#292D31;true
brace_good=cyan;berry;true
brace_bad=red;;true
margin_line_number=base3;base4
margin_folding=base3;#171A1F
fold_symbol_highlight=base2
indent_guide=base2;;true
caret=cyan
marker_line=#fff;#00f;
marker_search=#fff;#d791a8;
marker_mark=;
call_tips=base0;base1
white_space=base2;;true


# Programming languages
#-------------------------------------------------------------------------------

comment=grey
comment_doc=comment
comment_line=comment
comment_line_doc=comment_doc
comment_doc_keyword=comment_doc,bold
comment_doc_keyword_error=comment_doc,italic

number=orange
number_1=number
number_2=number_1

type=berry;;true
class=cyan
function=berry
parameter=function

keyword=orange;;true
keyword_1=keyword
keyword_2=cyan;;true
keyword_3=bluegrey
keyword_4=keyword_3

identifier=default
identifier_1=identifier
identifier_2=identifier_1
identifier_3=identifier_1
identifier_4=identifier_1

string=lime
string_1=string
string_2=string_1
string_3=default
string_4=default
string_eol=red
character=string_1
backticks=string_2
here_doc=string_2

scalar=string_2
label=keyword,bold
preprocessor=cyan
regex=number_1
operator=bluegrey
decorator=string_1,bold
other=cyan


# Markup-type languages
#-------------------------------------------------------------------------------

tag=berry
tag_unknown=tag,bold
tag_end=tag,bold
attribute=cyan
attribute_unknown=attribute,bold
value=string_1
entity=default


# Diff
#-------------------------------------------------------------------------------

line_added=green
line_removed=red
line_changed=blue
